# eoRndGenerator< T > Class Template Reference

By popular demand re-introducing a base class for a family of random number generators. More...

`#include <eoRndGenerators.h>`

Inheritance diagram for eoRndGenerator< T >:

List of all members.

## Private Types

typedef T | AtomType

## Detailed Description

### template<class T>
class eoRndGenerator< T >

By popular demand re-introducing a base class for a family of random number generators.

Derived members of this class are useful to initialize fixed/variable length genotypes that have an 'atomic' type in an indepent way (thus without employing any knowledge about the problem domain).

See derived classes eoUniformGenerator, eoBooleanGenerator, eoNormalGenerator and eoNegExpGenerator

Definition at line 47 of file eoRndGenerators.h.

The documentation for this class was generated from the following file:

- eoRndGenerators.h